## GcalWeekView GcalWeekView |

## Functions

GtkWidget * | gcal_week_view_new ()
void | gcal_week_view_set_first_weekday ()
void | gcal_week_view_set_use_24h_format ()

## Signals

void | event-activated | Run First

## Types and Values

#define | GCAL_TYPE_WEEK_VIEW
| GcalWeekView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GcalWeekView

## Implemented Interfaces

GcalWeekView implements AtkImplementorIface, GtkBuildable, GtkOrientable and GcalView.

## Description

## Functions

### gcal_week_view_new ()

    GtkWidget *
    gcal_week_view_new (void);

Create a week-view widget

#### Returns

.

[transfer full]

### gcal_week_view_set_first_weekday ()

    void
    gcal_week_view_set_first_weekday (GcalWeekView *self,
                                      gint day_nr);

Set the first day of the week according to the locale, being 0 for Sunday, 1 for Monday and so on.

### gcal_week_view_set_use_24h_format ()

    void
    gcal_week_view_set_use_24h_format (GcalWeekView *self,
                                       gboolean use_24h);

Whether the view will show time using 24h or 12h format

## Types and Values

### GCAL_TYPE_WEEK_VIEW

    #define GCAL_TYPE_WEEK_VIEW (gcal_week_view_get_type ())

### GcalWeekView

    typedef struct _GcalWeekView GcalWeekView;

## Signal Details

### The `“event-activated”` signal

    void
    user_function (GcalWeekView    *gcalweekview,
                   GcalEventWidget *arg1,
                   gpointer         user_data)

Flags: Run First